aboutsummaryrefslogtreecommitdiffstats
path: root/.gitlab-ci.yml
diff options
context:
space:
mode:
authorDario Lombardo <lomato@gmail.com>2017-12-07 22:29:38 +0100
committerDario Lombardo <lomato@gmail.com>2017-12-11 07:50:22 +0000
commit397e2a2d74e9c6ea103d3b4c30794552041e39c2 (patch)
tree6de81fa9e884f77151d8570a44dc450f4175e8d3 /.gitlab-ci.yml
parentfaa4a6a5f12b507e12232ceefb9cebdaf6b7ee24 (diff)
gitlab-ci: restyle the gcc builds
The gcc builds now take the package from the official gcc ppa and use the ubuntu 16.04 docker image. The gcc docker image was shipped with a old Qt version that caused some errors. Change-Id: Ieefbda99cd0931ff3043de6caa4cccd163589759 Reviewed-on: https://code.wireshark.org/review/24736 Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com> Reviewed-by: Dario Lombardo <lomato@gmail.com>
Diffstat (limited to '.gitlab-ci.yml')
-rw-r--r--.gitlab-ci.yml64
1 files changed, 30 insertions, 34 deletions
diff --git a/.gitlab-ci.yml b/.gitlab-ci.yml
index 74b4121028..35f2527595 100644
--- a/.gitlab-ci.yml
+++ b/.gitlab-ci.yml
@@ -1,107 +1,104 @@
+image: ubuntu:16.04
before_script:
- - apt-get update -qq
- - apt-get install ninja-build -y
+ - apt update -qq
+ - apt install software-properties-common -y
+ - add-apt-repository --yes ppa:ubuntu-toolchain-r/test
+ - apt update -qq
+ - apt install ninja-build -y
- ./tools/debian-setup.sh --install-optional -y
- mkdir build
- cd build
gcc-4:
- image: gcc:4
script:
- - cmake -GNinja ..
+ - apt install gcc-4.9 g++-4.9 -y
+ - cmake -GNinja -DCMAKE_C_COMPILER=gcc-4.9 -DCMAKE_CXX_COMPILER=g++-4.9 ..
- ninja
gcc-4-noextcap:
- image: gcc:4
script:
- - cmake -GNinja -DENABLE_EXTCAP=OFF ..
+ - apt install gcc-4.9 g++-4.9 -y
+ - cmake -GNinja -DCMAKE_C_COMPILER=gcc-4.9 -DCMAKE_CXX_COMPILER=g++-4.9 -DENABLE_EXTCAP=OFF ..
- ninja
gcc-4-nopcap:
- image: gcc:4
script:
- - cmake -GNinja -DENABLE_PCAP=OFF ..
+ - apt install gcc-4.9 g++-4.9 -y
+ - cmake -GNinja -DCMAKE_C_COMPILER=gcc-4.9 -DCMAKE_CXX_COMPILER=g++-4.9 -DENABLE_PCAP=OFF ..
- ninja
gcc-5:
- image: gcc:5
script:
- - cmake -GNinja ..
+ - apt install gcc-5 g++-5 -y
+ - cmake -GNinja -DCMAKE_C_COMPILER=gcc-5 -DCMAKE_CXX_COMPILER=g++-5 ..
- ninja
gcc-5-noextcap:
- image: gcc:5
script:
- - cmake -GNinja -DENABLE_EXTCAP=OFF ..
+ - apt install gcc-5 -y
+ - cmake -GNinja -DCMAKE_C_COMPILER=gcc-5 -DCMAKE_CXX_COMPILER=g++-5 -DENABLE_EXTCAP=OFF ..
- ninja
gcc-5-nopcap:
- image: gcc:5
script:
- - cmake -GNinja -DENABLE_PCAP=OFF ..
+ - apt install gcc-5 -y
+ - cmake -GNinja -DCMAKE_C_COMPILER=gcc-5 -DCMAKE_CXX_COMPILER=g++-5 -DENABLE_PCAP=OFF ..
- ninja
gcc-6:
- image: gcc:6
script:
- - cmake -GNinja ..
+ - apt install gcc-6 g++-6 -y
+ - cmake -GNinja -DCMAKE_C_COMPILER=gcc-6 -DCMAKE_CXX_COMPILER=g++-6 ..
- ninja
gcc-6-noextcap:
- image: gcc:6
script:
- - cmake -GNinja -DENABLE_EXTCAP=OFF ..
+ - apt install gcc-6 g++-6 -y
+ - cmake -GNinja -DENABLE_EXTCAP=OFF -DCMAKE_C_COMPILER=gcc-6 -DCMAKE_CXX_COMPILER=g++-6 ..
- ninja
gcc-6-nopcap:
- image: gcc:6
script:
- - cmake -GNinja -DENABLE_PCAP=OFF ..
+ - apt install gcc-6 g++-6 -y
+ - cmake -GNinja -DENABLE_PCAP=OFF -DCMAKE_C_COMPILER=gcc-6 -DCMAKE_CXX_COMPILER=g++-6 ..
- ninja
gcc-7:
- image: gcc:7
script:
- - cmake -GNinja ..
+ - apt install gcc-7 g++-7 -y
+ - cmake -GNinja -DCMAKE_C_COMPILER=gcc-7 -DCMAKE_CXX_COMPILER=g++-7 ..
- ninja
gcc-7-noextcap:
- image: gcc:7
script:
- - cmake -GNinja -DENABLE_EXTCAP=OFF ..
+ - apt install gcc-7 g++-7 -y
+ - cmake -GNinja -DENABLE_EXTCAP=OFF -DCMAKE_C_COMPILER=gcc-7 -DCMAKE_CXX_COMPILER=g++-7 ..
- ninja
gcc-7-nopcap:
- image: gcc:7
script:
- - cmake -GNinja -DENABLE_PCAP=OFF ..
+ - apt install gcc-7 g++-7 -y
+ - cmake -GNinja -DENABLE_PCAP=OFF -DCMAKE_C_COMPILER=gcc-7 -DCMAKE_CXX_COMPILER=g++-7 ..
- ninja
clang-3.5:
- image: ubuntu:16.04
script:
- apt install clang-3.5 -y
- cmake -GNinja -DCMAKE_C_COMPILER=clang-3.5 -DCMAKE_CXX_COMPILER=clang++-3.5 ..
- ninja
clang-3.6:
- image: ubuntu:16.04
script:
- apt install clang-3.6 -y
- cmake -GNinja -DCMAKE_C_COMPILER=clang-3.6 -DCMAKE_CXX_COMPILER=clang++-3.6 ..
- ninja
clang-3.7:
- image: ubuntu:16.04
script:
- apt install clang-3.7 -y
- cmake -GNinja -DCMAKE_C_COMPILER=clang-3.7 -DCMAKE_CXX_COMPILER=clang++-3.7 ..
- ninja
clang-3.8:
- image: ubuntu:16.04
script:
- apt install clang-3.8 -y
- cmake -GNinja -DCMAKE_C_COMPILER=clang-3.8 -DCMAKE_CXX_COMPILER=clang++-3.8 ..
- ninja
clang-3.9:
- image: ubuntu:16.04
script:
- apt install clang-3.9 -y
- cmake -GNinja -DCMAKE_C_COMPILER=clang-3.9 -DCMAKE_CXX_COMPILER=clang++-3.9 ..
- ninja
clang-4.0:
- image: ubuntu:16.04
script:
- apt install clang-4.0 -y
- cmake -GNinja -DCMAKE_C_COMPILER=clang-4.0 -DCMAKE_CXX_COMPILER=clang++-4.0 -DCMAKE_C_FLAGS=-Wframe-larger-than=20000 ..
- ninja
clang-5.0:
- image: ubuntu:16.04
script:
- echo "deb http://apt.llvm.org/xenial/ llvm-toolchain-xenial-5.0 main" > /etc/apt/sources.list.d/clang5.list
- curl -s https://apt.llvm.org/llvm-snapshot.gpg.key | apt-key add -
@@ -110,7 +107,6 @@ clang-5.0:
- cmake -GNinja -DCMAKE_C_COMPILER=clang-5.0 -DCMAKE_CXX_COMPILER=clang++-5.0 -DCMAKE_C_FLAGS=-Wframe-larger-than=20000 ..
- ninja
clang-6.0:
- image: ubuntu:16.04
script:
- echo "deb http://apt.llvm.org/xenial/ llvm-toolchain-xenial main" > /etc/apt/sources.list.d/clang6.list
- curl -s https://apt.llvm.org/llvm-snapshot.gpg.key | apt-key add -